Public Member Functions | Public Attributes | List of all members
Canvas5Structure::LWZDecoder::LWZEntry Struct Reference

## Public Member Functions
| LWZEntry (unsigned int prefixCode=0, unsigned char suffix=0)
| constructor More...

## Public Attributes
unsigned char | m_suffix
| last char in encoded string More...
unsigned int | m_prefixCode
| code for remaining chars in string More...

## Constructor & Destructor Documentation

## ◆ LWZEntry()

Canvas5Structure::LWZDecoder::LWZEntry::LWZEntry | ( | unsigned int | prefixCode = `0`,
|  | unsigned char | suffix = `0`
| ) |  |
| inline

constructor

## Member Data Documentation

## ◆ m_prefixCode

unsigned int Canvas5Structure::LWZDecoder::LWZEntry::m_prefixCode

code for remaining chars in string

## ◆ m_suffix

unsigned char Canvas5Structure::LWZDecoder::LWZEntry::m_suffix

last char in encoded string

The documentation for this struct was generated from the following file:

- Canvas5Structure.cxx